## python-mmcif-pdbx 2.0.1

=== requirements.txt ===
pytest==5.4.3
sphinx_rtd_theme==0.5.0

=== debian/changelog ===
python-mmcif-pdbx (2.0.1-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Andrius Merkys <merkys@debian.org>  Mon, 14 Mar 2022 01:06:17 -0400

python-mmcif-pdbx (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1005990)

 -- Andrius Merkys <merkys@debian.org>  Wed, 02 Mar 2022 08:04:17 -0500

=== debian/control ===
Source: python-mmcif-pdbx
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.0
Homepage: https://github.com/Electrostatics/mmcif_pdbx
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mmcif-pdbx
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mmcif-pdbx.git
Rules-Requires-Root: no

Package: python-pdbx-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: utilities for PDBx/mmCIF storage model (common documentation)
 This package is based on PDBx Python code
 (http://mmcif.wwpdb.org/pdbx-mmcif-home-page.html). The package emphasizes a
 simple and pure Python interface to basic mmCIF functionality.
 .
 This is the common documentation package.

Package: python3-pdbx
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pdbx-doc,
Description: utilities for PDBx/mmCIF storage model (Python 3)
 This package is based on PDBx Python code
 (http://mmcif.wwpdb.org/pdbx-mmcif-home-page.html). The package emphasizes a
 simple and pure Python interface to basic mmCIF functionality.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pdbx

export http_proxy  = 127.0.0.1:9
export https_proxy = 127.0.0.1:9

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs build/html

override_dh_auto_test:
	dh_auto_test -- --test-pytest

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -p python-pdbx-doc --doc-main-package python3-pdbx build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf mmcif_pdbx.egg-info

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/Electrostatics/mmcif_pdbx/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
